package com.qmth.themis.business.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.VerifyExceptionEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 预警dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/18
 */
public class WarningDto implements Serializable {

    @ApiModelProperty(name = "预警类型")
    private VerifyExceptionEnum warningEnum;//预警类型

    @ApiModelProperty(name = "人脸数量，0：没有人脸，大于1：多张人脸")
    private Integer faceCount;//人脸数量，0：没有人脸，大于1：多张人脸

    @ApiModelProperty(name = "真实性结果，-1：没有，0：异常，1：正常")
    private Double realness;//真实性结果，-1：没有，0：异常，1：正常

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试记录id")
    private Long recordId;//考试记录id

    @ApiModelProperty(name = "照片url")
    private String photoUrl;//照片url

    @ApiModelProperty(name = "随机数")
    private String random;

    @ApiModelProperty(value = "ip地址")
    private String ip;

    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "地区")
    private String region;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "运营商")
    private String isp;

    public WarningDto() {

    }

    public WarningDto(VerifyExceptionEnum warningEnum, Integer faceCount, Double realness, Long recordId, String photoUrl, String ip,
                      String country, String region, String province, String city, String isp) {
        this.warningEnum = warningEnum;
        this.faceCount = faceCount;
        this.realness = realness;
        this.recordId = recordId;
        this.photoUrl = photoUrl;
        this.ip = ip;
        this.country = country;
        this.region = region;
        this.province = province;
        this.city = city;
        this.isp = isp;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getIsp() {
        return isp;
    }

    public void setIsp(String isp) {
        this.isp = isp;
    }

    public String getRandom() {
        return random;
    }

    public void setRandom(String random) {
        this.random = random;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public VerifyExceptionEnum getWarningEnum() {
        return warningEnum;
    }

    public void setWarningEnum(VerifyExceptionEnum warningEnum) {
        this.warningEnum = warningEnum;
    }

    public Integer getFaceCount() {
        return faceCount;
    }

    public void setFaceCount(Integer faceCount) {
        this.faceCount = faceCount;
    }

    public Double getRealness() {
        return realness;
    }

    public void setRealness(Double realness) {
        this.realness = realness;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }
}
